@import 'compass/css3/box-shadow';
@import 'compass/css3/border-radius';

.file.input{
  height:32px;
  position:relative;
  margin-bottom:20px;

  label{
    width:80% !important;
    padding: 6px 7px !important;
    border: 1px solid #aaa;
    @include border-radius(2px);
    @include box-shadow(inset 1px 1px 1px rgba(0,0,0,0.2));
    display:inline-block;

    p{
      margin: 0px 0px 0px 0px !important;
      font-weight: normal;
      color: #666;
      text-align: left;
      overflow: hidden;
      text-overflow: ellipsis;
    }

    span{
      right:0;
      width:80px;
      font-size: 100%;
      position: absolute;
      top: 0;
      bottom: 0;
      padding: 0 5px;
      line-height: 31px;
      text-align: center;
      background: #eee;
      border: 1px solid #aaa;
      @include border-top-left-radius(0px);
      @include border-bottom-left-radius(0px);
      @include border-top-right-radius(2px);
      @include border-bottom-right-radius(2px);
    }

  }

  input{
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    width: 100% !important;
    z-index: 55;
    cursor: pointer;
    opacity: 0;
  }

}